Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162103 - add SGI scsi devices to list in scsi_scan.c
Summary: add SGI scsi devices to list in scsi_scan.c
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-29 21:15 UTC by Eric Sandeen
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:27:24 UTC


Attachments (Terms of Use)
patch for scsi_scan.c (deleted)
2005-06-29 21:15 UTC, Eric Sandeen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Eric Sandeen 2005-06-29 21:15:21 UTC
Description of problem:
Some newer SGI scsi devices have sparse luns, and are not properly scanned.

Version-Release number of selected component (if applicable):
2.4.21-32.0.1.ELsmp

How reproducible:
every time

Steps to Reproduce:
1. attach SGI storage such as a TP9700
2. boot
3. observe luns
  
Actual results:
luns missing

Expected results:
all luns present :)

Additional info:
--- linux-2.4.21/drivers/scsi/scsi_scan.c.orig  2005-05-06 09:52:04.000000000 -0500
+++ linux-2.4.21/drivers/scsi/scsi_scan.c       2005-05-06 09:52:25.000000000 -0500
@@ -217,6 +217,9 @@ static struct dev_info device_list[] =
        {"SGI", "TP9300", "*", BLIST_SPARSELUN | BLIST_LARGELUN},
        {"SGI", "TP9400", "*", BLIST_SPARSELUN | BLIST_LARGELUN},
        {"SGI", "TP9500", "*", BLIST_SPARSELUN | BLIST_LARGELUN},
+       {"SGI", "TP9700", "*", BLIST_SPARSELUN | BLIST_LARGELUN},
+       {"SGI", "RM610", "*", BLIST_SPARSELUN | BLIST_LARGELUN},
+       {"SGI", "RM660", "*", BLIST_SPARSELUN | BLIST_LARGELUN},
        {"MYLEX", "DACARMRB", "*", BLIST_SPARSELUN | BLIST_LARGELUN},
        {"PLATYPUS", "CX5", "*", BLIST_SPARSELUN | BLIST_LARGELUN},
        {"Raidtec", "FCR", "*", BLIST_SPARSELUN | BLIST_LARGELUN},

Thanks,

-Eric

Comment 1 Eric Sandeen 2005-06-29 21:15:21 UTC
Created attachment 116148 [details]
patch for scsi_scan.c

Comment 2 Suzanne Hillman 2005-06-30 17:18:22 UTC
This looks like a feature request. In order to file a RHEL feature request,
please either contact Red Hat's Technical Support line at 888-GO-REDHAT or file
a web ticket at http://www.redhat.com/apps/support/.  Bugzilla is not an
official support channel, has no response guarantees, and may not route your
request to the correct area to assist you.  Using the official support channels
above will guarantee that your issue is handled appropriately and routed to the
individual or group which can best assist you with this issue and will also
allow Red Hat to track the issue, ensuring that any applicable feature addition
is included in all releases and is not dropped from a future update or major
release.

Comment 3 Prarit Bhargava 2005-06-30 18:05:10 UTC
Hi Suzanne,

I'll grab this and move it over to IT for JoAnne to review.

Sorry for the inconvenience,

P.

Comment 4 Suzanne Hillman 2005-06-30 21:08:02 UTC
No problem. Thanks!

Comment 8 Ernie Petrides 2005-07-20 07:42:53 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-33.EL).


Comment 11 Red Hat Bugzilla 2005-09-28 15:27:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.